hsm_repository_struct Struct Reference

`#include <libhsm.h>`

## Data Fields

hsm_repository_t * | next
char * | name
char * | module
char * | tokenlabel
char * | pin
uint8_t | require_backup
uint8_t | use_pubkey
unsigned int | allow_extract

## Detailed Description

Definition at line 118 of file libhsm.h.

## Field Documentation

## allow_extract

unsigned int hsm_repository_struct::allow_extract

Generate CKA_EXTRACTABLE private keys

Definition at line 126 of file libhsm.h.

Referenced by hsm_open2(), and hsm_repository_new().

## module

char* hsm_repository_struct::module

PKCS#11 module

Definition at line 121 of file libhsm.h.

Referenced by hsm_open2(), hsm_repository_free(), and hsm_repository_new().

## name

char* hsm_repository_struct::name

name

Definition at line 120 of file libhsm.h.

Referenced by hsm_open2(), hsm_repository_free(), and hsm_repository_new().

## next

hsm_repository_t* hsm_repository_struct::next

next repository >

Definition at line 119 of file libhsm.h.

Referenced by hsm_open2(), hsm_repository_free(), hsm_repository_new(), and parse_conf_repositories().

## pin

char* hsm_repository_struct::pin

PKCS#11 login credentials

Definition at line 123 of file libhsm.h.

Referenced by hsm_open2(), hsm_repository_free(), and hsm_repository_new().

## require_backup

uint8_t hsm_repository_struct::require_backup

require a backup of keys before using new keys

Definition at line 124 of file libhsm.h.

Referenced by hsm_repository_new().

## tokenlabel

char* hsm_repository_struct::tokenlabel

PKCS#11 token label

Definition at line 122 of file libhsm.h.

Referenced by hsm_open2(), hsm_repository_free(), and hsm_repository_new().

## use_pubkey

uint8_t hsm_repository_struct::use_pubkey

use public keys in repository?

Definition at line 125 of file libhsm.h.

Referenced by hsm_open2(), and hsm_repository_new().

The documentation for this struct was generated from the following file:

- src/lib/libhsm.h